oxide-qt (1.17.7-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Update to v1.17.7 (see USN-3058-1)
    - Bump Chromium rev to 53.0.2785.101
    - Fix LP: #1615832 - Don't compile the mock QPA plugin with Qt5.6
    - Fix LP: #1618589 - Compile with -fno-delete-null-pointer-checks to work
      around issues related to changes in GCC6
    - Fix LP: #1618530 - Ensure we use the correct ozone platform
    - Fix LP: #1616595 - Fix Qt5.2 build
    - Fix LP: #1260103 - Oxide should use an app-specific path for shared
      memory files
    - Ensure we check out the GN binaries
    - Fix LP: #1615683 - Implement KeyboardEvent.code and KeyboardEvent.key,
      as parts of Blink now depend on this
    - Fix LP: #1605365 - Front camera is inverted on BQ E5
    - Fix LP: #1608657 - Ensure shrinksViewportContentToFit option is enabled
      on mobile
    - Fix LP: #1597420 - Add a mock QPA plugin and add integration tests for
      the Screen and ScreenOrientation APIs
    - Import updated translations from Launchpad
    - Add tests for Window.screen{X,Y}
    - Use attached properties for WebViewTestSupport and WebContextTestSupport
    - Refactor the huge main() function in the QML test runner
    - Fix LP: #1568145 - Correctly report the position for video capture devices
    - Clean up user scripts between tests
    - Add test for Window.{inner,outer}{Height,Width}
    - Don't hardcode a size for the root item in QML tests - have it set by
      the window size instead
    - Fix LP: #1599236 - ensure GN builds are built with Pango support
    - Fix LP: #1588219 - fix mediahub GN build
    - Fix LP: #1592020 - Make oxide_shared_unittests / oxide_qt_unittests work
      with the GN build
    - MouseEvents must be used to generate synthetic click events in tests
    - Fix LP: #1597262 - Only enable plugin support on x86 / x86-64
    - Fix LP: #1560271 - Refactor CookieStoreProxy and ensure that the cookie
      store is created on the IO thread
    - Fix Compositor DCHECK
    - Call BrowserPlatformIntegration::GetNativeDisplay later to avoid a DCHECK
    - Fix LP: #1510603 - Stop using GetFormFactorHint for memory optimizations
    - Fix LP: #1595320 - Ensure GN builds are linked without --fatal-warnings
    - Make the renderer executable use Chromium's new allocator shim, which
      means we get an infallible allocator on AArch64, even without TCMalloc
    - Various allocator related fixes (LP: #1595321 and LP: #1595324)
    - Fix LP: #1588218 - Make ENABLE_TCMALLOC work with GN builds
    - Fix LP: #1597040 - Disable TCMalloc on AArch64
    - Fix LP: #1585291 - Add copy image support to the context menu
    - Fix LP: #1593232 - Fix navigator.vibrate regression and add tests for this
    - Ensure that our device::VibrationManager implementation sanitizes
      arguments properly
    - Fix LP: #1595136 - Compile the core library with -g1 on hosts with less
      than 8GB of RAM
    - Fix LP: #1594941 - Fix static ENABLE_PLUGINS=0 GN build
    - Fix LP: #1594962 - Disable gn check step for now
    - Fix LP: #1326697 - Preliminary support for building with GN
    - Fix LP: #1588217 - Cross-compiling support with GN
    - Fix LP: #1588942 - Support for bootstrapping a GN binary
    - Fix LP: #1582638 - Initial build support for AArch64
    - Fix non-ENABLE_HYBRIS build
    - Fix LP: #1592296 - Support filenames in drag and drop
    - Fix LP: #1601887 - Add a quirk to assume that the native orientation of
      the primary screen on freiza and cooler devices is landscape
    - Fix LP: #1613258 - Avoid a hard runtime dependency on MADV_FREE when
      compiled against glibc 2.24, and ensure madvise(MADV_FREE) is allowed
      in the seccomp policy so that it works when the kernel is upgraded to 4.5
    - Fix LP: #1616132 - Explicitly whitelist accelerated canvas and GPU
      raster on various devices. This got disabled due to a recent change
      in libhybris

  * Build with USE_GN=1, BOOTSTRAP_GN=1
    - update debian/rules
  * Build with ENABLE_HYBRIS=0 on arm64
    - update debian/rules
  * Don't build-depend on libhybris on arm64
    - update debian/control
  * locales/ has been renamed to chromium_l10n
    - update debian/liboxideqtcore0.install
  * Refresh gross-hack-for-dual-ffmpeg-build.patch
  * Build depend on python-psutil
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 05 Sep 2016 21:31:57 +0100

oxide-qt (1.16.5-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Update to v1.16.5 (see USN-3041-1)
    - Bump Chromium rev to 52.0.2743.82
    - Remove WebSettings::setTouchEditingEnabled customization from Blink -
      it's not used anymore
    - Make checkouts a bit faster by disabling unnecessary gclient hooks
    - Use QWheelEvent::pixelDelta where possible
    - Refactor clipboard support and add a ClipboardObserver class
    - WebContentsView should guard various calls from RWHV to ensure they're
      associated with the currently displayed view
    - Ensure we correctly restore RenderWidget state when switching between
      interstitial / fullscreen views
    - Disable allocator shim
    - Refactor how select popups are implemented, so we rely on a less
      intrusive change to Chromium
    - Fix LP: #1532910 - Stop using deprecated V8 APIs
    - Decouple SecurityStatus from WebView, and add extensive unit tests for
      this code
    - Add simple unit tests for SSLHostStateDelegate
    - Use proper cmake variables for imported libraries rather than using the
      names directly

  * Refresh gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Jul 2016 18:00:43 +0100

oxide-qt (1.15.8-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Update to v1.15.8 (see USN-3015-1)
    - Bump Chromium rev to 51.0.2704.103
    - Fix LP: #1590776 - Hide the insertion handle on input events

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 22 Jun 2016 15:42:29 +0100

oxide-qt (1.15.7-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Update to v1.15.7 (see USN-2992-1)
    - Bump Chromium rev to 51.0.2704.79
    - Fix LP: #1567542 - Ensure the camera image is rotated correctly for both
      front and back cameras, and fix a krillin-specific issue
    - Fix LP: #1570511 / LP: #1586968 - Allow touch selection to short circuit
      context menu requests
    - Fix LP: #1569315 - Make WebView::EditingCapabilitiesChanged faster to
      avoid serious performance issues with an active selection
    - Disable plugins by default on arm, as we only support Flash which isn't
      available there
    - Compile native arm and x86 builds with -g1 to reduce the size of the
      resulting unstripped binary and hopefully ease address space pressure
      during linking. This will reduce the usefulness of crash reports on
      these platforms
    - Unbreak the !ENABLE_PLUGINS build
    - Fix LP: #1582060 - Ensure we attach the InputMethodContext for script
      opened webviews
    - Fix LP: #1578808 - link failure on armhf
    - Fix LP: #1576164 - Internationalize the camera names
    - Fix LP: #1556658 - Provide dummy message text to an application's custom
      beforeunload dialog component for compatibility purposes, now that
      Chromium ignores the one provided by the page
    - Fix LP: #1535818 - Add support for the deviceId constraint in getUserMedia
    - Fix LP: #1568860 - Replace use of scoped_ptr with std::unique_ptr
    - Replace CertificateErrorDispatcherClient with a callback, and add through
      unit tests for CertificateErrorDispatcher in the process
    - Add the ability to run unit tests on internal classes in shared/
    - Fix LP: #1447395 - Add WebView.zoomFactor API
    - Fix LP: #1565063 - Add 'version' and 'chromiumVersion' properties to
      the API
    - Remove CompositorProxy and its implementation. This was left over from
      when the webview compositor wasn't single threaded
    - Remove RendererFrameEvictor - it's redundant anyway because we destroy
      the webview compositor when it's hidden. Now we just drive eviction from
      there instead. This removes a bogus dependency on GetFormFactorHint
    - Hide surface_id from compositor clients, cleaning up the client interface
    - Fix LP: #1498200 - Componentize qt/core/ and shared/. This allows us to
      build unit test binaries that depend on shared/
    - Drop the warning when changing the process model - single process is
      now supported.
    - Adapt the QML tests to run in single-process and make lots of test fixes
      (LP: #1399208)
    - Fix LP: #1399207 - Make it possible to skip entire QML test cases where
      they aren't relevant for specific configurations (eg, single process)
    - Fix LP: #1462814 - Drop failing test which appears to not be useful
      anymore
    - Disable profiler timing - we don't have chrome://profiler/, and this is
      disabled by default on Chrome/Android too due to it having a
      non-negligible performance impact.
    - Fix a shutdown abort in single-process mode
    - Add CookieStoreUIProxy, which is an implementation of net::CookieStore
      that proxies calls from the UI thread to the real cookie store on the IO
      thread. This is used in a couple of places where we need access to the
      cookie store on the UI thread
    - Fix LP: #1556762 - Add TouchSelectionController.handleDragInProgress
      property
    - Fix LP: #1556764 - Add TouchSelectionController.hide() API
    - Fix LP: #1552161 - Convert QTouchEvent directly to ui::MotionEvent.
      Dropping the use of ui::TouchEvent means we no longer have to round
      the scroll coordinates, which should improve smoothness on high-DPI
      screens

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 02 Jun 2016 18:41:08 +0100

oxide-qt (1.14.9-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Update to v1.14.9 (see USN-2960-1)
    - Bump Chromium rev to 50.0.2661.102
    - Scale the locationbar height when the screen changes
    - Fix LP: #1575216 - Ensure we resize / rescale the webview compositor
      viewport when the screen is updated

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 04 May 2016 19:45:31 +0100

oxide-qt (1.14.7-0ubuntu1) xenial-security; urgency=medium

  * Update to v1.14.7
    - Bump Chromium rev to 50.0.2661.87
    - Fix LP: #1565685 - Gracefully handle the case where
      glGetString(GL_SHADING_LANGUAGE_VERSION) returns a null pointer
    - Fix LP: #1543761 - Move fullscreen logic out of oxide::WebView
    - Fix LP: #1542119 - Rip input handling and compositing glue out of
      oxide::WebView
    - Fix LP: #1548996 - Fix device scaling mess
    - Fix LP: #1459830 - Support drag and drop
    - Fix LP: #1440863 - Support navigator.vibrate()
    - Fix LP: #1552376 - Ensure we disable the use of the share context on
      drivers where Chromium uses virtualized GL contexts
    - Fix LP: #1520537 - webbrowser-app crashes after 1 sec on unity8
    - Fix LP: #1459395 - Triple click doesn't work
    - Fix LP: #1459362 - SwipeArea lets touch events through before a drag is
      detected
    - Fix LP: #1426153 - Use a single-threaded webview compositor
    - Fix LP: #1543587 - Duplicate targets and random mis-builds due to
      Chromedriver
    - Fix LP: #1555122 - Startup crash when running in a VM
    - Fix LP: #1552825 - WebView.touchSelectionController.active remains true
      when navigating away
    - Fix LP: #1556323 - Fix SIGSEGV in oxide::InputMethodContext::SetImeBridge
    - Add support for scale factor retrieved from the Ubuntu QPA plugin
    - Switch from DelegatedRendererLayer to SurfaceLayer in
      RenderWidgetHostView, as the former has been deleted from Chromium

  * Refresh gross-hack-for-dual-ffmpeg-build.patch
  * Build-depend on qtfeedback5-dev
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 18 Apr 2016 13:26:59 +0100

oxide-qt (1.13.10-0ubuntu1) xenial; urgency=medium

  * Update to v1.13.10 (see USN-2940-1)
    - Bump Chromium rev to 49.0.2623.110
    - Fix LP: #1558792 - Ensure the browser compositor size is updated when
      the screen geometry changes in fullscreen
    - Fix LP: #1560034 - Do not show the insertion handle on a tap for an
      empty editable text
    - Fix LP: #1559428 - Crash when requesting location updates

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 24 Mar 2016 12:39:12 +0000

oxide-qt (1.13.6-0ubuntu1) xenial; urgency=medium

  * Update to v1.13.6 (see USN-2920-1)
    - Bump Chromium rev to 49.0.2623.87
    - Fix LP: #1536797 - Issues with nested event loop handling
    - Fix LP: #1432059 - Stop using Q_DECL_EXPORT
    - Fix LP: #1494900 - Stop building the translation units containing public
      classes as a separate target with different compiler options
    - Fix LP: #1533223 - Use consistent naming of QFlags types (doesn't affect
      the QML API)
    - Fix LP: #1533710 - Various cleanups in soon-to-be-public headers
    - Fix LP: #1463410 - Fold SimplePermissionRequest in to PermissionRequest
      (doesn't affect the QML API)
    - Add a deprecation warning for WebView.loadingChanged
    - Install public headers and CMake package config files
    - Be a bit more intelligent when detecting the availability of the Hybris
      camera compatibility layer and Android EGL platform

  * Drop -dbg packages (LP: #1408672)
    - update debian/control
    - update debian/rules
  * Add liboxideqtcore-dev and liboxideqtquick-dev packages
    - update debian/control
    - add debian/liboxideqtcore-dev.install
    - add debian/liboxideqtquick-dev.install
  * Refresh gross-hack-for-dual-ffmpeg-build.patch
  * Add build-depends on libffi-dev
    - update debian/control
  * Drop chromedriver build (fixes LP: #1543587)
    - update debian/control
    - update debian/rules
    - remove debian/oxideqt-chromedriver.install

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 07 Mar 2016 10:43:01 +0000

oxide-qt (1.12.7-0ubuntu1) xenial; urgency=medium

  * Update to v1.12.7 (see USN-2905-1)
    - Bump Chromium rev to 48.0.2564.116

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 21 Feb 2016 11:46:53 +0000

oxide-qt (1.12.6-0ubuntu1) xenial; urgency=medium

  * Update to v1.12.6 (see USN-2895-1)
    - Bump Chromium rev to 48.0.2564.109

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 12 Feb 2016 10:49:10 +0000

oxide-qt (1.12.5-0ubuntu1) xenial; urgency=medium

  * Update to v1.12.5 (see USN-2877-1)
    - Bump Chromium rev to 48.0.2564.82
    - Fix LP: #1376268 - Add TouchSelectionController and
      WebView.editingCapabilites APIs 
    - Fix LP: #1441465 - Add camera implementation for phone that uses
      the compatibility layer in Ubuntu's libhybris
    - Fix LP: #1508972 - Can't enumerate cameras on the phone
    - Fix LP: #1490014 - (PPAPI Flash) Implement missing PPB_Flash functions
    - Fix LP: #1490016 - (PPAPI Flash) Implement PPB_Fullscreen
    - Fix LP: #1490017 - (PPAPI Flash) Implement PPB_Flash_FontFile
    - Fix LP: #1499479 - Reduce the size of the Skia font cache on mobile
    - Fix LP: #1499775 - It's difficult to see where a link will send you
      before clicking on it. Add WebView.hoveredUrl property
    - Fix LP: #1504853 - Certificate errors in the browser are confusing -
      have the WebView navigate to a placeholder transient page when the
      browser displays the certificate error UI. This fixes several issues
      where the addressbar and back button didn't behave consistently in some
      cases
    - Fix LP: #1509384 - (PPAPI Flash) Flash plugin isn't always detected
      by BBC iPlayer. Ensure we load the plugin metadata so that
      navigator.plugins has the correct info
    - Fix LP: #1509433 - (PPAPI Flash) Enable the Flash plugin by default
      when it's installed
    - Fix LP: #1509875 - (PPAPI Flash) Browser addressbar is visible when Flash
      content is fullscreen because LocationBarController doesn't work. Always
      hide the addressbar in this case
    - Fix LP: #1510508 - (PPAPI Flash) Layout and input events messed up when
      using Flash in fullscreen. The Flash plugin expects the view size to be
      updated synchronously when transitioning to fullscreen, so add a hack for
      this (Chrome already does this too)
    - Fix LP: #1510679 - (PPAPI Flash) Transitioning Flash content to
      fullscreen sometimes shows the wrong content
    - Fix LP: #1510949 - (PPAPI Flash) Applications cannot cancel fullscreen
      Flash
    - Fix LP: #1510973 - (PPAPI Flash) Ensure we cancel a fullscreen request
      from Flash is the application doesn't grant fullscreen by setting
      WebView.fullscreen to true
    - Fix LP: #1517955 - Enable NEON unconditionally. Support for non-NEON
      builds in Chromium has been broken for ages, and the default (optional
      NEON with runtime detection) only works on Android without additional
      patches to make the detection work on non-Android builds. Given that
      upstream are planning enable NEON unconditionally and drop support for
      other configurations in the future, let's just do this now as it enables
      us to stop patching webrtc
    - Fix LP: #1518358 - Text selection is not greyed out when the window
      loses focus
    - Fix LP: #1341565 - Should include plugin typeinfo (plugins.qmltypes)
    - Fix LP: #1408109 - Remove StoragePermissionRequest. This was never
      completed, has never been tested, isn't used anywhere and is going to
      get in the way of site settings
    - Fix LP: #1510503 - WebView.fullscreenRequested shouldn't fire if
      fullscreen is already granted
    - Fix LP: #1510506 - (PPAPI Flash) NOTIMPLEMENTED() hit in WebContentsView
      when using Flash fullscreen

  * Build-depend on libandroid-properties-dev on all architectures
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Jan 2016 11:44:33 +0000

oxide-qt (1.11.5-0ubuntu1) xenial; urgency=medium

  * Update to v1.11.5
    - Fix LP: #1532135 - Ensure enums for value types are actually exposed to
      QML when building with Qt5.5

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 11 Jan 2016 17:11:11 +0000

oxide-qt (1.11.4-0ubuntu1) xenial; urgency=medium

  * Update to v1.11.4
    - see USN-2860-1
    - Bump Chromium rev to 47.0.2526.106

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 Jan 2016 11:13:40 +0000

oxide-qt (1.11.3-0ubuntu3) xenial; urgency=medium

  * Add patches/fix-libvpx-build-gcc53.patch (LP: #1528297)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Dec 2015 11:52:56 +0100

oxide-qt (1.11.3-0ubuntu1) xenial; urgency=medium

  * Update to v1.11.3
    - see USN-2825-1
    - Bump Chromium rev to 47.0.2526.73
    - Fix LP: #1470268 - Implement a ResourceThrottle based navigation
      intercept, and stop using an unsupported navigation path in Chromium
      to do this
    - Fix LP: #1421423 - Don't crash when we receive unhandled key events
      without an OS event
    - Fix LP: #1506672 - Link with --gc-sections in all build configurations
      to work around a code architecture issue
    - Fix LP: #1326113 - Initial support for the Flash PPAPI plugin (off by
      default)
    - Fix LP: #1500510 - Add support for HTML notifications using libnotify
    - Fix LP: #1486645 - Use the application name for the token used to
      request access to the microphone
    - Fix LP: #1433508 - Previous favicon displayed when navigating to a file
      URL, or any URL that doesn't have a concept of a default favicon (ie,
      non-HTTP URLs)
    - Fix LP: #1302740 - WebView.navigationRequested isn't emitted for
      new-window navigations when WebView.newViewRequested isn't implemented
    - Fix LP: #1470190 - Refactor how some classes are constructed to make
      things more consistent
    - Fix LP: #1501473 - Disable smooth scrolling to work around scrolling
      issues
    - Fix LP: #1505048 - Update for changes to base::RepeatingTimera
    - Fix LP: #1522830 - Build shouldn't pull in resources from //chrome
  * Add build-depends on libnotify-dev and libgdk-pixbuf2.0-dev

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 02 Dec 2015 22:48:46 +0000

oxide-qt (1.10.3-0ubuntu0.15.10.1) wily-security; urgency=medium

  * Update to v1.10.3 (see USN-2770-1)
    - Bump Chromium rev to 46.0.2490.71
    - When calling WebView.goBack or WebView.goForward, test that the state
      of canGo{Forward,Back} is updated immediately
    - Update media permission tests to use https, now that media capture
      requires it
    - Disable Blink features that don't work or aren't implemented in Oxide
      (page popups and ContentUtils)
    - Stop piggy-backing on to cc::CompositorFrame for passing information
      about compositor frames around. cc::CompositorFrame::software_frame_data
      has been removed from Chromium now that software frames are no longer
      sent over IPC, so we implement our own classes for handling this
    - Qt 5.5 fixes
    - Fix LP: #1487090 - Work around content-hub issue by exposing the mime
      type to download requests when saving an image from the context menu
  * Refresh gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Oct 2015 11:49:45 +0100

oxide-qt (1.9.5-0ubuntu1) wily; urgency=medium

  * Update to v1.9.5 (see USN-2757-1)
    - Bump Chromium rev to 45.0.2454.101
    - Fix LP: #1498953 - Reduce the limit for discardable memory on mobile

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Sep 2015 19:02:43 +0100

oxide-qt (1.9.2-0ubuntu1) wily; urgency=medium

  * Update to v1.9.2
    - Fix LP: #1447311 - Disable the unprivileged namespace sandbox

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Sep 2015 09:57:32 +0100

oxide-qt (1.9.1-0ubuntu1) wily; urgency=medium

  * Update to v1.9.1 (see USN-2735-1)
    - Bump Chromium rev to 45.0.2454.85
    - Fix LP: #1459392 - Cannot select text with the mouse pointer
    - Fix LP: #1337369 - Expose user agent as part of downloadRequest
    - Fix LP: #1336611 - Gmail attachments on Touch contain an empty mime-type
      when signaled from onDownloadRequested
    - Fix LP: #1461600 - Refinements to media permissions API
    - Fix LP: #1462057 - Change Oxide.available{Audio,Video}CaptureDevices() in
      to a notifiable property
    - Fix LP: #1428754 - Persist permission request decisions for a session
    - Fix LP: #1464159 - Web browser should send the system language to
      websites (Accept-Language field)
    - Fix LP: #1445673 - Shouldn't be able to pass QObjects to
      WebContextDelegateWorker
    - Fix LP: #1465517 - qml-api-test::WebView_save_restore_state broken
    - Fix LP: #1457458 - "No suitable EGL configs found" on desktop-next
    - Fix LP: #1410753 - Implement a new API for overriding the user agent
      string
    - Fix LP: #1350914 - Cache override lookup's for navigator.userAgent on the
      renderer side
    - Fix LP: #1469139 - OxideMsg_SetUserAgent should be sent from inside
      content::NOTIFICATION_RENDERER_PROCESS_CREATED
    - Fix LP: #1422339 - Missing API to wire in basic access authentication
    - Fix LP: #1453294 - Expose some classes as value types to QML
    - Fix LP: #1178002 - Implement Do Not Track
    - Fix LP: #1328494 - [unity7] Disable screensaver while a video is playing
    - Fix LP: #1477760 - Crash when clicking a link in desktop G+
    - Overhaul of the content script messaging implementation
    - Make it possible to change devtools settings after constructing WebContext
    - Build ffmpeg as a shared library again
    - Load V8 natives in to the browser process so that single-process works
  * Refresh gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 04 Sep 2015 12:33:55 +0100

oxide-qt (1.8.4-0ubuntu1) wily; urgency=medium

  * Update to v1.8.4 (see USN-2677-1)
    - Bump Chromium rev to 44.0.2403.89
    - Fix LP: #1301419 - Add clipboard integration
    - Fix LP: #1326070 - Add support for context menus
    - Fix LP: #1375272 - Add WebView.webProcessStatus API so that embedders
      can be notified of render process crashes
    - Fix LP: #1410996 - Add WebView.mediaAccessPermissionRequested API
    - Fix LP: #1456267 - Flush profile data before the application is suspended
      by lifecycle management. Fixes an issue where Cut the Rope game state
      is not saved in some cases
    - Fix LP: #1244335 - Add LoadEvent.httpStatusCode API
    - Fix LP: #1312260 - Add WebView.findController API for find-in-page
      functionality
    - Fix LP: #1408267 - Discard OTR BrowserContexts when not in use. This
      means we now discard the in-memory profile when the browser exits private
      browsing mode
    - Fix LP: #1445585 - Drop workarounds for the old browser header bar
    - Fix LP: #1446831 - Include the resources necessary for chrome://tracing/
      to work
    - Fix LP: #1455128 - Clear the gesture pipeline when navigating between
      pages
  * Refresh gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 22 Jul 2015 18:12:44 +0100

oxide-qt (1.7.9-0ubuntu1) wily; urgency=medium

  * Update to v1.7.9
    - see USN-2652-1
    - Bump Chromium rev to 43.0.2357.130

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 23 Jun 2015 16:16:08 +0100

oxide-qt (1.7.8-0ubuntu1) wily; urgency=medium

  * Update to v1.7.8
    - see USN-2610-1
    - Bump Chromium rev to 43.0.2357.65
    - Fix LP: #1452407 - Shutdown abort due to BrowserContext leak
    - Fix LP: #1449660 - Shutdown deadlock due to a race condition in
      WebContentsUnloader
    - Fix LP: #1435831 - Support EGLImage compositing path
    - Fix LP: #1435835 - Improve synchronization between webview and UI
      compositors
    - Fix LP: #1422408 - Enable accelerated canvas on Arale
    - Fix LP: #1426567 - Enable pinch-viewport on desktop
    - Fix LP: #1439829 - Select the correct GL platform when the Qt platform
      is "mirserver"
    - Fix LP: #1399195 - Improve network callback event tests
    - Fix LP: #1415662 - Cancelling a network request in onBeforeRedirect has
      no effect
    - Fix LP: #1422920 - Add LocationBarController.show(),
      LocationBarController.hide() and LocationBarController.animated
    - Fix LP: #1433472 - navigator.language doesn't work
    - Fix LP: #1435418 - Clean up the classes related to the private interfaces
      between the core library and the QtQuick library, making it more obvious
      where code should live
    - Fix LP: #1438902 - Enable webgl on mako
    - Fix LP: #1446864 - OxideQQuickScriptMessage::reply doesn't work with
      Qt 5.4
    - Use the simple backend for the network cache
    - Add EGLFS QPA support
    - Fix cross-compiling armhf builds on x86
    - Fix LP: #1442398 - Invalid read in CompositorOutputSurfaceGL
    - Fix LP: #1442458 - Minimum page scale shouldn't be 1 on mobile
      form-factors
    - Fix LP: #1400372 - Keyboard re-appears in webbrowser after dismissing
    - Fix LP: #1429135 - webbrowser-app crashed with SIGSEGV in
      XQueryExtension() on Unity 8 desktop
    - Fix LP: #1411159 - Proper fix for shutdown crash in
      content::GpuChannelHost::Send, removing the workaround from the 1.5
      branch
    - Fix LP: #1277659 - Add WebContext.maxCacheSizeHint property, to allow
      applications some control over the network cache size
    - Fix LP: #1427882 - TextureRefHolder will crash if the context is lost
    - Fix LP: #1430478 - Disable the GPU shader cache. Its memory footprint
      makes it inappropriate on mobile devices and it writes the cache to the
      current working directory if WebContext.dataPath isn't set
    - Set the pulse audio media role so that audio output can take part in
      pulse-level stream arbitration
    - Disable webcore debug symbols and link with --no-keep-files-mapped
      on native x86 builds because of linker OOM
    - Add OXIDE_ENABLE_GPU_DEBUGGING environment variable, which corresponds
      to --enable-gpu-debugging in Chrome
    - Fix renderer crash in debug builds when location bar height is set to
      zero
    - Remove a spurious DCHECK that fires sometimes when a render process dies
    - Add resources and strings required for built-in webui (eg, chrome://gpu/)
    - Add OXIDE_ENABLE_GPU_SERVICE_LOGGING environment variable, which
      corresponds to --enable-gpu-service-logging in Chrome
    - Miscellaneous fixes for media-hub audio playback
    - Use base::ThreadRestrictions::ScopedAllowIO when constructing
      net::HttpCache, as that makes use of base::CPU which does IO on Arm.
      Fixes a debug-mode startup abort
    - Various component build fixes
    - Don't statically link base in to oxide-renderer just to call
      SetReleaseFreeMemoryFunction. Instead, expose an API from oxide-core to
      allow oxide-renderer to call this without pulling in its own copy of base
    - Only disable use of EGL_EXT_create_context_robustness and
      GLX_ARB_create_context_robustness when the application provides a share
      context that hasn't been created with these extensions
    - Add OXIDE_DISABLE_GPU_DRIVER_BUG_WORKAROUNDS environment variable
    - Drop support for building with Qt < 5.2
    - Use net::URLRequest::IsHandledProtocol for checking if a scheme is
      builtin
    - Refactor how the GL implementation is selected, simplifying the code.
      Also add OXIDE_DISABLE_GPU and OXIDE_DISABLE_GPU_COMPOSITING environment
      variables for disabling all GPU features or GPU compositing respectively

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 19 May 2015 17:32:04 +0100

oxide-qt (1.5.5-0ubuntu1) vivid; urgency=medium

  * Update to v1.5.5
    - Bump Chromium rev to 41.0.2272.76
    - Fix LP: #1427828 - Crash in WebFrame.sendMessageNoReply
    - Fix LP: #1411159 - Add work-around for shutdown crash in
      content::GpuChannelHost::Send, by deliberately leaking the
      cc::ContextProvider referenced by any task posted to the UI thread if
      the task never got a chance to run and is destroyed when the main loop
      is torn down. Note that 1.6 has the longer term fix for this crash.
    - Fix LP: #1421339 - Two scrollbars shown on the phone at a page scale of 1.
      + This is fixed by disabling the outer viewport scrollbars when
        pinch-viewport is on (copying Chrome on Android).
      + Also style the pinch viewport overlay scrollbars like Chrome on Android,
        as opposed to using the default desktop style that are designed to be
        dragged with a pointer
    - Fix LP: #1423531 - LoadEvent.isError is false for the error page if the
      navigation is triggered from a session restore or reload

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Mar 2015 09:10:41 +0000

oxide-qt (1.5.3-0ubuntu2) vivid; urgency=medium

  * Update to v1.5.3
    - Bump Chromium rev to 41.0.2272.53
    - Fix LP: #1402975 - set a minimum viewport width of 980px on mobile
      for sites that don't specify a viewport width. Fixes layout of some
      desktop sites, and matches the behaviour of Chrome on Android
    - Fix LP: #1412981 - Geolocation permission requests from subframes are
      not cancelled if the frame is deleted or navigated to another site
    - Fix LP: #1379776 - Spoof Android for the purposes of GPU feature
      blacklisting on the phone. This means accelerated 2d canvas is now
      enabled on all devices that Chrome enables it on (including the Nexus 4),
      and other GPU features (eg, GPU rasterization) are enabled on devices
      where Chrome supports it
    - Fix LP: #1370366 - Add LocationBarController API, which allows the
      renderer compositor to calculate the position of the browser top header.
      This enables the header to be animated in sync with the content on
      scrolling
    - Fix LP: #1408136 - Committed LoadEvents fire for subframe loads when
      they shouldn't
    - Fix LP: #1377198 - CertificateError is not cancelled if you stop the
      pending navigation
    - Fix LP: #1373383 - The video player on Youtube does not resize correctly
      when transitioning from landscape to portrait. Ensure we correctly
      update the screen geometry and orientation visible to web content when
      the device orientation changes, and turn on orientation events
    - Really fix LP: #1337506 - Abort with
      "FATAL:texture_manager.cc(76)] Check failed: texture_count_ == 0u (1 vs. 0)"
      on shutdown
    - Fix LP: #1398044 - Fails to build with Qt 5.4
    - Fix LP: #1249387 - Add experimental support for playing audio through
      mediahub with the HTML media elements (Off by default. Video and
      MediaSource are not yet implemented. Not built yet because it depends
      on packages in universe)
    - Fix LP: #1417042 - Remove inactive touch points from the current touch
      state when we process a new touch event
    - Fix LP: #1417963 - Adapt to behaviour change in handling of QVariants
      from QML to C++ in Qt 5.4
    - Update the form factor detection code to not rely on the EGL vendor for
      detecting that we're on a device - use the Android system properties
      instead
    - Tidy up WebContents ownership during unload by adding a new singleton
      responsible for handling unloading (WebContentsUnloader)
    - Refactor WebFrame to be based around RenderFrameHost rather than
      FrameTreeNode, which we aren't meant to be using
    - Call QDesktopServices::openUrl on the UI thread. Failures are no longer
      propagated back to the resource dispatcher, so all attempts to open a
      URL externally will result in the load being cancelled whether there
      is an external handler or not
  * Update debian/control to add extra build dependencies:
    - libandroid-properties-dev on armhf, used for gathering data for GPU
      feature blacklisting when running on the phone
  * Update debian/liboxideqtcore0.install to install V8 snapshot data
  * Drop oxideqmlscene - this was only necessary when qmlscene didn't support
    setting up a shared GL context

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 28 Jan 2015 14:08:55 +0000

oxide-qt (1.4.2-0ubuntu2) vivid; urgency=medium

  * Rebuild against Qt 5.4.0.
  * Add hack_qt540.patch to workaround Oxide bug.
  * Add qt54_variantjs.patch to fix LP: #1417963

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 06 Feb 2015 10:12:02 +0000

oxide-qt (1.4.2-0ubuntu1) vivid; urgency=medium

  * Update to v1.4.2
    - Bump Chromium rev to 40.0.2214.91
    - Fix LP: #1297973 - Don't allow the BrowserContext to be deleted until
      the render thread is quit in single process mode
    - Fix LP: #1321969 - Add proper API for handling page closing:
      + Add WebView.prepareToClose() which runs the current page's
        beforeunload handler
      + Add WebView.prepareToCloseResponse signal, which tells the embedder
        whether a close should proceed
      + Add WebView.closeRequested signal, driven from window.close()
      + Ensure the current page's unload handler runs when a WebView is deleted
    - Fix LP: #1353143 - Add an API for saving and restoring the state of a
      WebView, used for session restore in the browser
    - Fix LP: #1374494 - Warnings when processing GPU blacklist
    - Fix LP: #1283291 - Cannot use multiple BrowserContexts in single-process
      mode. Make WebView.context read-only in single-process mode (all
      WebViews will use a default WebContext)
    - Fix LP: #1326115 - Disable WebView.incognito in single-process mode. It
      relies on using multiple BrowserContexts, which is not possible in
      single process
    - Fix LP: #1249147 - Use TCMalloc in the renderer process
    - Fix LP: #1389777 - More natural scrolling - tweak the gesture fling curve
    - Fix LP: #1398941 - Tidy up the LoadEvent sequence for failed loads
    - Fix LP: #1381558 - Fix crash in
      oxide::CompositorThreadProxy::SendSwapSoftwareFrameOnOwnerThread
    - Fix LP: #1402382 - Fix a potential memory leak because of a refcount race
    - Fix LP: #1398087 - Fix application crash when accessing
      navigator.webkitPersistentStorage.requestQuota
    - Turn pinch virtual viewport on for mobile form factors
    - Limit the maximum decoded image size on mobile
    - Remove the screen-dim lock when the application goes in to the background
      (and restore it when it comes back in to the foreground)
    - Don't create OTR BrowserContexts unnecessarily
    - Add an experimental API for changing the process model
      (Oxide.processModel)
    - Don't leak WebPreferences if the WebView is deleted without ever
      accessing WebView.preferences
    - Add support for component builds
  * Refresh gross-hack-for-dual-ffmpeg-build.patch
  * Build with the default compiler instead of hard coding GCC 4.8

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 12 Jan 2015 18:05:47 +0000

oxide-qt (1.3.5-0ubuntu8) vivid; urgency=medium

  * Revert back to 1.3.5-0ubuntu1 in anticipation of a workaround in
    click instead (LP: #1408195)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 07 Jan 2015 06:36:25 +0000

oxide-qt (1.3.5-0ubuntu7) vivid; urgency=medium

  * Change back the dependency order, add arch specific replaces 
    as a suggested fix to prevent the apt package installation problems 
    (LP: #1400275)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 10 Dec 2014 15:25:29 +0000

oxide-qt (1.3.5-0ubuntu6) vivid; urgency=medium

  * Use the new conflict arrangement still, but change the dependency 
    order of Oxide's own codecs packages to prefer the -extras. 
    This should hopefully solve the problem when setting up the 
    autopkgtest environment with packages that have a hard depedency 
    on the -extras package. (LP: #1399597)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 05 Dec 2014 13:39:34 +0000

oxide-qt (1.3.5-0ubuntu5) vivid; urgency=medium

  * Revert previous upload because of autopkgtest failures (LP: #1399597)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 05 Dec 2014 10:09:07 +0000

oxide-qt (1.3.5-0ubuntu4) vivid; urgency=medium

  * Add arch specific conflict to the oxideqt-codecs and oxideqt-codecs-extra

 -- Zoltán Balogh <zoltan.balogh@canonical.com>  Wed, 03 Dec 2014 11:36:04 +0000

oxide-qt (1.3.5-0ubuntu1) vivid; urgency=medium

  * Update to v1.3.5
    - see USN-2410-1
    - Bump Chromium rev to 39.0.2171.65
    - Fix LP: #1391230 - Release the screen dim lock when the application
      becomes inactive

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 17 Nov 2014 11:25:11 +0000

oxide-qt (1.3.3-0ubuntu1) vivid; urgency=medium

  * Update to v1.3.3
    - Bump Chromium rev to 39.0.2171.42
    - Fix LP: #1260016 - Add support for application provided protocol
      handlers
    - Fix LP: #1301681 - Scroll the focused editable node in to view after
      a resize
    - Fix LP: #1337506 - Runtime abort with
      FATAL:texture_manager.cc(76)] Check failed: texture_count_ == 0u (1 vs. 0).
      Ensure that we keep the browser compositor GL context and associated
      resources alive as long as the Qt scenegraph holds the frontbuffer
    - Fix LP: #1377755 - Keyboard disappears when switching between text fields
    - Fix LP: #1290821 - WebView.loading is not false when receiving a LoadEvent
      with type == TypeStopped, so properties bound to this never receive an
      update. As "loading" and the main-frame document load events are delivered
      separately from blink, split this in to 2 signals
    - Fix LP: #1354382 - White line at bottom of viewport - fix rounding errors
      when calculating the view size in DIP which results in the view
      underflowing by a pixel in one axis and overflowing by a pixel in the
      other axis
    - Fix LP: #1221996 - Allow user scripts to be injected in to the main world
    - Expose redirect events to WebContextDelegateWorker
    - Fix LP: #1384460 - Delegate unhandled URL schemes to the system
    - Fix LP: #1386468 - Stop leaking V8 contexts

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Add liboxideqtquick0 package
  * Refresh debian/patches/gross-hack-for-dual-ffmpeg-build.patch
  * Add libcups2-dev and libexif-dev build-deps, as the chromedriver build
    seems to pull them in. This is a temporary measure until we can figure
    out why

  [ Alexandre Abreu <alexandre.abreu@canonical.com> ]
  * Add chromedriver to the packaging branch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 23 Oct 2014 08:18:19 -0400

oxide-qt (1.2.5-0ubuntu1) utopic; urgency=medium

  * Update to v1.2.5
    - see USN-2345-1
    - Bump Chromium rev to 38.0.2125.101

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 14 Oct 2014 12:39:07 +0100

oxide-qt (1.2.4-0ubuntu1) utopic; urgency=medium

  * Update to v1.2.4
    - Fix LP: #1352631 - Turn on accelerated canvas on krillin

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 26 Sep 2014 11:13:36 +0100

oxide-qt (1.2.2-0ubuntu1) utopic; urgency=medium

  * Update to v1.2.2
    - Bump Chromium rev to 38.0.2125.77
    - Fix LP: #1324292 - Disable the touch editing mechanism to avoid
      breaking the webbrowser-app user script
    - Fix LP: #1362543 - Web application fails to load properly every other
      time. Ensure that when a new cache is created, the initial cache stats
      are stored to permanent storage immediately to avoid the cache being
      left in an inconsistent state if the process exits uncleanly before
      the stats are updated
    - Fix LP: #1371166 - Geolocation fails when the location source returns
      invalid values for some attributes
    - Fix LP: #1372414 - SSL certificates report incorrect dates because
      Chromium's base::Time measures milliseconds since the Windows epoch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 25 Sep 2014 15:32:47 +0100

oxide-qt (1.2.1-0ubuntu1) utopic; urgency=medium

  * Update to v1.2.1
    - Bump Chromium rev to 38.0.2125.58
    - Fix LP: #1260048 - Don't initialize NSS with a user DB for now
    - Fix LP: #1368117 - WebView.blockedContent doesn't get updated after
      a reload, because whilst the browser-side state is cleared when a
      navigation is committed, the renderer-side state is not cleared on a
      reload
    - Fix a null pointer deref for non-overridable SSL errors
    - Fix LP: #1368385 - Make all subframe and subresource SSL errors non-
      overridable, as overriding them doesn't always result in the security
      status API indicating a degraded security level
    - Fix LP: #1367446 - Ensure WebView.securityStatus.certificate is cleared
      when navigating away from a HTTPS url

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 12 Sep 2014 08:59:12 +0100

oxide-qt (1.2.0-0ubuntu1) utopic; urgency=medium

  * Update to v1.2.0
    - Bump Chromium rev to 38.0.2125.24
    - Add WebContext.devtoolsBindIp property
    - Refactor the various BrowserContext classes to avoid having to modify
      2 implementations of BrowserContext each time we add functionality that's
      shared between the normal and OTR contexts
    - Assert that BrowserContext is only accessed on the main thread
    - Fix LP: #1224707 - Use a localized Accept-Language header
    - Fix various threading issues in the interaction of WebContext and
      WebContextDelegateWorker
    - Don't leak the default WebPreferences object when setting a custom one
    - Make certificate revocation checking work properly, which is also
      required for EV to work. Also fixes some console spew (LP: #1240723)
    - Fix LP: #1361868 - Don't leak GeolocationPermissionRequest if there are
      no handlers on WebView.geolocationPermissionRequested
    - Fix LP: #1214034:
      + Add API's to query the security status of the webview
        (WebView.securityStatus property + SecurityStatus and SslCertificate
        classes)
      + Add WebView.certificateError signal and CertificateError class to
        give the application a chance to allow certain SSL errors (some errors
        are non-overridable and this is enforced by Oxide - in which case, the
        signal only acts as a notification)
      + Add WebView.blockedContent property, which is a bitmask of content
        types that have currently been blocked - currently this only indicates
        MixedDisplay and MixedScript, but will be extended later on for other
        content types (eg, cookies, popups etc)
      + Add WebView.setCanTemporarily{Display,Run}InsecureContent functions,
        which allows the mixed content blocker preferences to be overridden
        temporarily (will reset on navigation to a new page)
    - Fix LP: #1355703 - Linkedin profiles don't render correctly because
      it triggers the mixed content blocker. Change the default for
      WebPreferences.canDisplayInsecureContent to true to allow secure sites
      to display insecure content. We can do this now we have a security
      status API, as displaying insecure content results in
      SecurityStatus.securityLevel indicating a degraded level. This is the
      same default as Chrome. Note, insecure scripts are still blocked by
      default
    - Various fixes to the CookieManager API:
      - Ensure that requests don't always get the same request ID
      - Don't depend on undefined behaviour (signed integer overflow)
      - Chromium can run callbacks for cookie requests synchronously - take
        this in to account to avoid potentially hidden reentrancy issues
      - Ensure that the responses at the API level always happen asynchronously
      - Make it possible to set a session cookie instead of setting the expiry
        to the Unix epoch when an expiration date isn't specifed (which then
        gets rejected by Chromium for being already expired)
      - Ensure that session cookies returned from the API don't have an expiry
        date set to the Unix epoch (LP: #1362558)
      - Rename CookieManager.gotCookies to CookieManager.getCookiesResponse and
        CookieManager.cookiesSet to CookieManager.setCookiesResponse
      - CookieManager.getCookiesResponse no longer returns a status code.
        The only time getCookies can fail is before WebContext is fully
        initialized, which we can indicate synchronously by returning an
        invalid request ID
      - CookieManager.getCookies() has been added so that it's possible to
        request the cookies for a specific URL
      - The cookie expirationdate attribute now accepts QML's built-in Date
        type
      - URL parameters in the API are now QUrl rather than QString
      - When the response to setCookies indicates an error it's impossible
        to know which cookies failed to set. Get rid of the status parameter
        from CookieManager.setCookiesResponse and replace it with a list
        of failed cookies instead
  * Refresh debian/patches/gross-hack-for-dual-ffmpeg-build.patch
  * Add /usr/share/locale to liboxideqtcore0.install

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 03 Sep 2014 15:31:16 +0100

oxide-qt (1.2.0~bzr683-0ubuntu1) utopic; urgency=medium

  * Update to snapshot r683 from trunk
    - Bump Chromium rev to 38.0.2114.2
    - Don't modify Chromium's EGL implementation to select the GLES API when
      creating contexts and calling eglMakeCurrent. These calls all happen
      on a dedicated GPU thread with no application code running on it, and
      the selected API is thread-local. We do still need to temporarily select
      GLES at startup where we make the first few calls on the UI thread,
      but we restore the originally selected API once done (only affects
      Unity 8 desktop)
    - Fix LP: #1286204 - Make double-tap-to-zoom work
    - Adjust ui::ScaleGestureDetector::Config::min_pinch_update_span_delta to
      remove the coarseness when pinching
    - Fix LP: #1285750 - Add support for building a chromedriver binary
    - Add OXIDE_DISABLE_SETUID_SANDBOX and OXIDE_DISABLE_SECCOMP_FILTER_SANDBOX
      environment variables
    - Assert we have a QGuiApplication on startup
    - Fix LP: #1347924 - QProcess::waitForFinished() hangs - stop using
      ContentMainRunner for starting the browser code - it does things with
      process global state that are unexpected in a public library (eg,
      setting the SIGCHLD handler to the default which breaks QProcess because
      it relies on its own custom handler). We do still set the SIGPIPE action
      to SIG_IGN, but only if it is SIG_DFL when we start. We also abort if the
      SIGCHLD action is SIG_IGN when we initialize
    - Fix LP: #1352952 - Ensure files returned by the file picker exist
    - Fix LP: #1349510 - Browser crashes when attaching a photo in GMail -
      when checking for an override for navigator.userAgent, limit the length
      of the URL sent across IPC by trimming off the fragment, username and
      password
    - Add WebContext.cookieManager API
  * Refresh debian/patches/gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 12 Aug 2014 15:01:03 +0100

oxide-qt (1.1.1-0ubuntu3) utopic; urgency=medium

  * Update to v1.1.1
    - Bump Chromium rev to 37.0.2062.58
    - Fix LP: #1337389 - Make ContentBrowserClient::CanCreateWindow work
      again
    - Fix LP: #1332996 - QtCreator often halts for a minute. Don't crash on
      Qt platforms that don't implement QPlatformNativeInterface. As we can't
      get a native display handle on these platforms, disallow any GL
      implementation in Chromium and guard against accesses to
      BrowserProcessMain::GetNativeDisplay()
  * Build with GCC 4.8 for now because GCC 4.9 breaks web content layout on
    the device, which sucks quite a lot right before RTM
    - update debian/rules
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 31 Jul 2014 10:41:43 +0100

oxide-qt (1.1.0-0ubuntu1) utopic; urgency=medium

  * Update to v1.1.0
    - Bump Chromium rev to 37.0.2062.44
    - Fix LP: #1337338 - Don't crash when destroying a visible RWHV, which
      happens when a render process crashes
    - Fix LP: #1337890 - Update the power save blocker to use the Unity API
      on touch devices
    - Fix LP: #1338639 - Don't crash when calling WebView.loadHtml() before
      the webview is fully constructed

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 29 Jul 2014 15:00:10 +0100

oxide-qt (1.1.0~bzr640-0ubuntu1) utopic; urgency=medium

  * Update to trunk snapshot r640
    - Bump Chromium to 37.0.2062.3
    - Fix LP: #1244373 - Screen blanks during video playback. Use the powerd
      API for now on the device
    - Fix LP: #1259216 - Expose WebView.icon property
    - Fix LP: #1282063 - Add WebView.downloadRequested API
    - Fix LP: #1307709 - webbrowser-app doesn't start in Unity 8 desktop
      preview session. Fix this by using surfaceless EGL (pbuffers not supported
      in the Mir EGL platform for mesa) and ensuring we always bind the
      GLES API on Chromium's GPU thread
    - Fix LP: #1312082 - Stop using deprecated compositing paths in Chromium
    - Fix LP: #1323743 - OSK doesn't display after some time. Add a workaround
      for this in Oxide for the time being
    - Fix LP: #1324909 - User agent string is incorrect in newly opened
      webviews and subframes
    - Fix LP: #1332754 - Allow the frontbuffer and delegated frame data for
      hidden webviews to be evicted
    - Fix LP: #1252302 - Add devtools support
    - Fix LP: #1312081 - Render content and handle input events directly in
      the WebView, rather than having a per-process RenderViewItem
    - Fix LP: #1330511 - Expose a Flickable-like API on WebView
    - An empty preedit string in IM events doesn't mean we should do a commit.
      Fixes an issue where deleting the last character of a composition does
      a commit instead, causing the deletion to appear to fail
    - Notify the IM of updates to cursor and anchor positions
  * Refresh debian/patches/gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 03 Jul 2014 09:52:30 +0100

oxide-qt (1.0.2-0ubuntu3) utopic; urgency=medium

  * Rebuild against Qt 5.3.0
  * Change maintainer to Ubuntu Developers

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 18 Jun 2014 05:49:32 +0000

oxide-qt (1.0.2-0ubuntu2) utopic; urgency=medium

  * Update to v1.0.2
    - Bump Chromium to 36.0.1985.49
    - Add experimental support for the Google Talk PPAPI plugin, to support
      Google Hangouts. This is hidden behind an environment variable that
      defaults to off (LP: #1308397)
    - Fix crash in oxide::GetFormFactorHint() on Unity 8 desktop preview
      (LP: #1308398)
    - Fix various issues in GPU related code, including a crash (LP: #1308412)
    - Set no_javascript_access in ContentBrowserClient::CanCreateWindow()
      to fix random window opening failures (LP: #1307735)
    - Add fullscreen API to WebView (LP: #1308947)
    - Set a wait cursor when loading
    - Add geolocation support
    - Add a WebView.geolocationPermissionRequested API
    - Allow unhandled key events to bubble up from the WebView (LP: #1313727)
    - Don't generate keypress events with unmodified text for control
      characters. This makes Oxide behave more like Chrome
    - Add WebView.loadHtml() (LP: #1320848)
    - Ensure we update the visibility in a renderer when a WebView is created
      initially hidden and then made visible before any content is loaded
      (LP: #1322622)
    - Build fixes for Qt 5.3
    - Display controls in media player (LP: #1326852)
  * Refresh debian/patches/gross-hack-for-dual-ffmpeg-build.patch
  * Don't build with ENABLE_OXIDEQMLSCENE now, as that's the default
    - update debian/rules
  * Update build dependencies - we now depend on ninja

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Apr 2014 09:54:56 +0100

oxide-qt (1.0.0~bzr501-0ubuntu1) trusty; urgency=medium

  * Update to r501
    - Update to Chromium 35.0.1916.27
    - Use GpuDataManager for checking feature support before enabling
      compositing (although, there's no GPU blacklist support yet)
    - When resizing in non-compositing mode, handle the case where a site is
      slow to repaint and Chromium gives us a backing store for the old size
    - In compositing mode, make sure we composite during resizes
    - Fix a crash during resize caused by us sending more than one acknowledge
      for a buffer swap
  * Don't advertise support for codecs that aren't supported by the
    oxideqt-codecs* package installed
    - add debian/patches/gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Apr 2014 20:44:06 +0100

oxide-qt (1.0.0~bzr490-0ubuntu1) trusty; urgency=medium

  * Update to r490
    - Build with enable_plugins: 0 and toolkit_views: 0 to trim the size
      a bit
    - Ensure subframe navigations that require a new window become top-level
      navigations for webviews that don't implement WebView.newViewRequested
    - Add an option for enabling proprietary codecs (ENABLE_PROPRIETARY_CODECS)
    - Build and install the l10n pak files
    - Add file picker support (LP: #1260008)
    - Add some resources to oxide.pak that were missing (eg, directory listing
      HTML)
    - Fix a crash that occurs when handling events from some mouse buttons
    - Add cursor support (LP: #1257662)
    - Reimplement Chromium's RenderSandboxHostLinux so that it runs the sandbox
      IPC helper process as a proper child process rather than just forking
      the browser process, which is dangerous for Oxide (LP: #1304648)
  * Split libffmpegsumo.so in to 2 separate packages (oxideqt-codecs and
    oxideqt-codecs-extra) (LP: #1301341)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 08 Apr 2014 15:27:09 +0100

oxide-qt (1.0.0~bzr475-0ubuntu1) trusty; urgency=medium

  * Update to r475
    - Update to Chromium 35.0.1916.6
    - If WebView.newViewRequested isn't implemented, navigations should happen
      in the originating view
    - Refine WebView.newViewRequested and WebView.navigationRequested API's
      (LP: #1300891)
    - Improve the form factor detection (LP: #1301678)
    - Add WebView.javaScriptConsoleMessage signal to allow the application
      to intercept console messages from content (LP: #1291389)
    - Improve the LoadEvent API
    - Fix an abort when setting WebContext.sessionCookieMode on a context
      that has no path (LP: #1301650)
    - Expose the default WebContext via Oxide.defaultWebContext() (LP: #1297552)
    - Send fake keydown and keyup events when composing text with an
      input method (LP: #1300382)
    - Bump the API version to 1.0

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 04 Apr 2014 19:28:27 +0100

oxide-qt (1.0.0~bzr452-0ubuntu1) trusty; urgency=medium

  * Update to r452
    - Add WebView.newViewRequested API (LP: #1240749)
    - Add WebView.navigationRequested API (LP: #1259219)
    - Turn off WebCore debug symbols on native ARM builds, because we keep
      hitting linker OOM conditions. These are also omitted from our
      Chromium builds
    - Don't ignore WebContext.cachePath (LP: #1298264)
    - Add WebContext.sessionCookieMode API

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 01 Apr 2014 13:13:51 +0100

oxide-qt (1.0.0~bzr448-0ubuntu1) trusty; urgency=medium

  [ Chris Coulson ]
  * Update to r447
    - Rebase on Chromium 35.0.1908.4
    - Add support for JS dialogs (LP: #1214035)
    - Don't delete an active popup menu when another view is deleted
      (LP: #1257663)
    - Fix an invalid read and a memory corruption bug found by Valgrind
    - Chromium needs to create GLX contexts with idenitcal attributes to
      the GLX context created by Qt (LP: #1300284)

  [ Jamie Strandboge ]
  * merge debian/changelog and debian/changelog.chromium to be more clear
    (LP: #1297020)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 28 Mar 2014 13:23:13 +0000

oxide-qt (1.0.0~bzr437-0ubuntu1) trusty; urgency=low

  * Initial upload

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 24 Mar 2014 16:41:47 +0000
